#pragma once
#include <d3d9.h>
#include <d3d9types.h>
#include <d3dx9tex.h>

#pragma warning(disable:4482)

//CGraphicNX̐Ɣj͂ōsB
enum LGraphicDisplayMode {
	FullScreen,
	WindowMode,
};

//-------------------------------------------
//	Direct3D@@
//-------------------------------------------
bool LGraphic_Create( HWND hWnd, LGraphicDisplayMode mode = LGraphicDisplayMode::WindowMode );
void LGraphic_Release();	

//Direct3DfoCXQƂ
LPDIRECT3DDEVICE9 GetDevice();

//-------------------------------------------
//	`
//-------------------------------------------
void LGraphic_ClearAndBegin();//`OɌĂ
void LGraphic_EndAndPresent();//`ɌĂ
//eNX``
void LGraphic_Draw( float left, float top, float right, float bottom, LPDIRECT3DTEXTURE9 texture );


//-------------------------------------------
//	Xt@CNX
//-------------------------------------------
class XFileObject
{
	DWORD				m_dwNumMaterials;
	LPDIRECT3DTEXTURE9*	m_ppTextures;
	D3DMATERIAL9*		m_pMatrs;

public:
	LPD3DXMESH			m_pMesh;

	XFileObject();
	bool Load( LPCWSTR file );
	void Render();
	void Render(D3DMATRIX& mat);

	void Release();
};
